Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4ec1d40d-1a96-43c7-ae36-767d03761289",
  "jobs_id": "c06a7e26-fa12-4c9e-a970-1e6193e3f35e",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "9de7fd18-73ee-49d7-9431-d43f84b40460",
    "_parent_id": "c678c2c0-0646-43cf-8cc9-e431fcc8947c",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "15c9c05b-be09-4c9a-bd8b-d5cd4fc1da20",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "2c76f961-dd23-4bf1-ac9c-ac3c7ecc2b25",
      "_parent_id": "70dd9707-a3e9-48bd-905d-43cf6f3f79b2",
      "root_parent_id": "4b3e50ee-9d56-45e7-b559-ca1c4ae9de63",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "adfb6844-449f-46f0-95bd-e4ef826d1300",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "9ddd9015-e83b-4d74-ac99-db6b06f50056",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "707e28f3-6a26-4ba4-a14d-39dc61af6a31",
        "_parent_code": "sample string 6",
        "sales_organization_id": "2cff0768-4ef3-4f09-aa4c-62687416ada6",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
          "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
          "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
        },
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "equipment_model_id": "0fb58b3f-8ba6-4f79-9a4e-0c0ef6ee3360",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "a8c0eb13-4162-4f67-a55d-e0c107ae6a81",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "f7c9d80a-5043-480f-8c42-a33962c3865f",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "ac670df7-2aa0-4855-a582-7f4f29df01d8",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "56db0f74-0284-478c-ba90-3ff2d88f1cab",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
            "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
            "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
          },
          "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
        },
        "equipment_family_id": "2926b3c6-dc9f-4978-85b8-a7fd88273e1b",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "9ddd9015-e83b-4d74-ac99-db6b06f50056",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "707e28f3-6a26-4ba4-a14d-39dc61af6a31",
          "_parent_code": "sample string 6",
          "sales_organization_id": "2cff0768-4ef3-4f09-aa4c-62687416ada6",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
            "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
            "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
          },
          "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
        },
        "date_in_production_since": "2026-10-23T13:25:43.8714956+00:00",
        "date_out_of_production_since": "2026-10-23T13:25:43.8714956+00:00",
        "date_end_support": "2026-10-23T13:25:43.8714956+00:00",
        "sales_organization_id": "9cd95433-8b20-4b4f-aad3-5b0000bb60bb",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
          "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
          "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "project_status_id": "49792d01-aaa5-4077-87d7-957211464c41",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "9579f54f-d788-423e-9d75-f42240291954",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "314e9a95-14b1-40f2-8c4f-e9d53d0ccb19",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
          "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
          "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "company_id": "f1ace4c6-ccd0-490e-991b-f353cbdd7863",
      "company_code": "sample string 12",
      "db_address_id": "f84da6bd-ca4a-4d78-bb0f-5f40a4a73d59",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "b4586474-c016-4977-a152-0d4e7ed6bcca",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "a01d8f4c-0596-4a39-8d6b-bd68ab7ab92f",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-23T13:25:43.8714956+00:00",
      "date_create": "2026-10-23T13:25:43.8714956+00:00",
      "date_update": "2026-10-23T13:25:43.8714956+00:00",
      "updated_by_user_id": "d38301af-2036-4554-9a12-0921b44e9ac3",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-23T13:25:43.8714956+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-23T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-23T13:25:43.8714956+00:00",
      "date_last_job": "2026-10-23T13:25:43.8714956+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-23T13:25:43.8714956+00:00",
      "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "6e65f86a-3acc-4310-9785-cd4780859a99",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "b55641b6-5d03-452e-9759-d2e266df4e8e",
      "name": "sample string 2",
      "sales_organization_id": "f777bd89-367c-4274-9db7-30c233e6a785",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "b00eb3ca-c853-4e7c-8420-9dd4b9834a58",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "ad0aa987-358d-4e74-9ca4-ea9ea8eaa7db",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "561dcf9a-c05d-4983-8d49-8a0be697fe77",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
        "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
        "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
    },
    "job_status_id": "a2439f79-1b8d-4037-803a-e7878325e071",
    "job_status_code": "sample string 11",
    "db_address_id": "852e28cc-c085-463b-a492-d9a77cac32c3",
    "contact_id": "acb1a8d3-d353-4b5f-90bc-7e86268b5433",
    "requested_by_company_id": "acca3522-7222-43e9-bea6-dc7f90413b16",
    "requested_by_contact_id": "61d9d52c-b4b3-4dc5-9ae2-6de630e7897c",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-23T13:25:43.8714956+00:00",
    "due_date": "2026-10-23T13:25:43.8714956+00:00",
    "date_create": "2026-10-23T13:25:43.8714956+00:00",
    "date_update": "2026-10-23T13:25:43.8714956+00:00",
    "date_closed": "2026-10-23T13:25:43.8714956+00:00",
    "suggested_user_id": "3acd2709-f361-418c-83a7-d017879b214e",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "19ea3b3c-af27-47e9-8dcd-83135a190702",
      "db_language_id": "c50de523-132a-49be-8e51-6f9ddb8d2ce6",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-23T13:25:43.8714956+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "925061fb-b561-4392-97ac-44121b5ed43d",
      "sales_organization": {
        "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
        "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
        "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "ba53e4db-7cf3-45a2-83a0-5a0c5c7b6db4",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "b6f159e5-64f6-4c15-982f-4d93c45ee4df",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "90d5dcd5-826e-4c97-9037-bcdb33ee71c5"
    },
    "suggested_date_start": "2026-10-23T13:25:43.8714956+00:00",
    "skill_id": "295849be-8ccb-4ee5-8c8d-afe6b7052899",
    "skill_code": "sample string 32",
    "skill": {
      "id": "f98496fa-02a2-4b03-9e8c-7fa77455c7e1",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "0f710980-b459-41ff-a949-cb9e7816c365",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "c6beb837-8b87-4e45-ba54-15c3247ef020",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "5ffafe55-1e26-4ef2-8b5d-910c5c326615",
        "db_currency_id": "dd0c5906-0b43-4cba-a18a-e8ac94dc63fe",
        "db_language_id": "d63534ae-21e9-4d41-b9dc-3d8582d4af3f",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
      },
      "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "b7f26280-4e9d-4fa7-ac74-05439c332494",
    "date_reported_by_company": "2026-10-23T13:25:43.8714956+00:00",
    "id2": 36,
    "company_id": "6a984692-c070-42b0-a14e-763b36f30ec3",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "6acba5a9-8aa0-4db0-b6ef-c2c812bfa0a0",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-23T13:25:43.8714956+00:00"
  },
  "work_instruction_details_id": "409641ae-862d-4616-b912-b4d8c3cca5fd",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "1a5ff139-463a-4961-83f2-ebf1ce6eaa7c",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "e2cc0e31-620c-402b-8cc2-cbb1610abace",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-23T13:25:43.887085+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "1aff6046-49b5-41b8-ad46-0c0a47fc3d3c",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-23T13:25:43.887085+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.